Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IBaseDataSetDesign

All Known Subinterfaces:
  IJointDataSetDesign, IOdaDataSetDesign, IScriptDataSetDesign

All Known Implementing Classes:
  BaseDataSetDesign, JointDataSetDesign, OdaDataSetDesign, ScriptDataSetDesign

    public interface IBaseDataSetDesign

Describes the static design of any data set to be used by the Data Engine. Each sub-interface defines a specific type of data set.

Method Summary
`java.lang.String` | `getAfterCloseScript()` Returns the `afterClose` script to be called just after the data set is closed.
`java.lang.String` | `getAfterOpenScript()` Returns the `afterOpen` script to be called just after the data set is opened, but before fetching each row.
`java.lang.String` | `getBeforeCloseScript()` Returns the `beforeClose` script to be called just before closing the data set.
`java.lang.String` | `getBeforeOpenScript()` Returns the `beforeOpen` script to be called just before opening the data set.
`int` | `getCacheRowCount()` Deprecated.
`java.util.List` | `getComputedColumns()` Returns a list of computed columns.
`java.lang.String` | `getDataSourceName()` Returns the data source (connection) name for this data set.
`IBaseDataSetEventHandler` | `getEventHandler()` Returns the event handler for the data set
`java.util.List` | `getFilters()` Returns a list of filters.
`java.util.Collection` | `getInputParamBindings()` Returns the set of input parameter bindings as an unordered collection of `IInputParameterBinding` objects.
`java.lang.String` | `getName()` Gets the name of the data set.
`java.lang.String` | `getOnFetchScript()` Returns the `onFetch` script to be called just after the a row is read from the data set.
`java.util.List` | `getParameters()` Returns the data set parameter definitions as a list of `IParameterDefinition` objects.
`java.util.List` | `getResultSetHints()` Returns the primary result set hints as a list of `IColumnDefinition` objects.
`int` | `getRowFetchLimit()` Return the max number of rows that the data set represent by this IBaseDataSetDesign intance can fetch from data source.
`boolean` | `needDistinctValue()` When user wants to retrieve the distinct row, this flag needs to be set as true.
`void` | `setRowFetchLimit(int max)` Set up the max number of rows that the data set represent by this IBaseDataSetDesign instance can fetch from data source.

Method Detail

### getName

    java.lang.String getName()

  Gets the name of the data set.

  Returns:
    Name of data set.

### getCacheRowCount

    int getCacheRowCount()

  Deprecated.

  When cache option is true, user needs to specify how many rows will be retrieved into cache for use.

  Returns:
    cache row count

### needDistinctValue

    boolean needDistinctValue()

  When user wants to retrieve the distinct row, this flag needs to be set as true. The distinct row means there is no two rows which will have the same value on all columns.

  Returns:
    true, distinct row is required false, no distinct requirement on row

### getDataSourceName

    java.lang.String getDataSourceName()

  Returns the data source (connection) name for this data set.

  Returns:
    Name of the data source (connection) for this data set.

### getComputedColumns

    java.util.List getComputedColumns()

  Returns a list of computed columns. Contains IComputedColumn objects. Computed columns must be computed before applying filters.

  Returns:
    the computed columns. An empty list if none is defined.

### getFilters

    java.util.List getFilters()

  Returns a list of filters. The List contains `IFilterDefinition` objects. The data set should discard any row that does not satisfy all the filters.

  Returns:
    the filters. An empty list if none is defined.

### getParameters

    java.util.List getParameters()

  Returns the data set parameter definitions as a list of `IParameterDefinition` objects.

  Returns:
    the parameter definitions. An empty list if none is defined.

### getResultSetHints

    java.util.List getResultSetHints()

  Returns the primary result set hints as a list of `IColumnDefinition` objects.

  Returns:
    the result set hints as a list of `IColumnDefinition` objects. An empty list if none is defined, which normally means that the data set can provide the definition from the underlying data access provider.

### getInputParamBindings

    java.util.Collection getInputParamBindings()

  Returns the set of input parameter bindings as an unordered collection of `IInputParameterBinding` objects.

  Returns:
    the input parameter bindings. An empty collection if none is defined.

### getBeforeOpenScript

    java.lang.String getBeforeOpenScript()

  Returns the `beforeOpen` script to be called just before opening the data set.

  Returns:
    the `beforeOpen` script. Null if none is defined.

### getAfterOpenScript

    java.lang.String getAfterOpenScript()

  Returns the `afterOpen` script to be called just after the data set is opened, but before fetching each row.

  Returns:
    the `afterOpen` script. Null if none is defined.

### getOnFetchScript

    java.lang.String getOnFetchScript()

  Returns the `onFetch` script to be called just after the a row is read from the data set. Called after setting computed columns and only for rows that pass the filters. (Not called for rows that are filtered out of the data set.)

  Returns:
    the `onFetch` script. Null if none is defined.

### getBeforeCloseScript

    java.lang.String getBeforeCloseScript()

  Returns the `beforeClose` script to be called just before closing the data set.

  Returns:
    the `beforeClose` script. Null if none is defined.

### getAfterCloseScript

    java.lang.String getAfterCloseScript()

  Returns the `afterClose` script to be called just after the data set is closed.

  Returns:
    the `afterClose` script. Null if none is defined.

### getEventHandler

    IBaseDataSetEventHandler getEventHandler()

  Returns the event handler for the data set

### setRowFetchLimit

    void setRowFetchLimit(int max)

  Set up the max number of rows that the data set represent by this IBaseDataSetDesign instance can fetch from data source. If the input number is non-positive then unlimited number of rows will be fetched.

  Parameters:
    `max` -

### getRowFetchLimit

    int getRowFetchLimit()

  Return the max number of rows that the data set represent by this IBaseDataSetDesign intance can fetch from data source.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.